> For the complete documentation index, see [llms.txt](https://docs.vames-store.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vames-store.com/assets/vms_vehicleshopv2/common-errors.md).

# Common Errors

In this section, you will find answers to commonly encountered issues. Remember that most errors stem from incorrect configuration, lack of required resources, or insufficient modification.

Bear in mind that troubleshooting requires patience and precision. Try to carefully analyze the errors and systematically review possible solutions.

If the issue persists after verifying the configuration and available resources, please contact the support on the VMS Discord.

***

<details>

<summary>When trying to open the management menu, I get a ban from qb-management</summary>

1. Go to your qb-management/server/sv\_boss.lua
2. Find these [marked lines](https://github.com/qbcore-framework/qb-management/blob/main/server/sv_boss.lua#L22-L25)

```lua
if not Player.PlayerData.job.isboss then
    ExploitBan(src, 'GetEmployees Exploiting')
    return
end
```

3. Remove them.

</details>

<details>

<summary><strong>[</strong><mark style="color:yellow;"><strong>WARNING</strong></mark><strong>] Ignoring vehicle </strong><mark style="color:blue;"><strong>model</strong></mark><strong> due to invalid Model</strong></summary>

If the vehicle model is available by default in GTA 5 and is on this list [(FiveM Vehicles Docs)](https://docs.fivem.net/docs/game-references/vehicle-models/) - it means you have an older build, you need to remove them vehicles from the `vehicles` table in the database and from `config.lua` or [update the game build](https://docs.fivem.net/docs/server-manual/server-commands/#sv_enforcegamebuild-build).\
\
If it's a custom model, it means that this vehicle can't be loaded correctly, in this case, you need to remove the vehicle from the files or repair the model.

</details>

<details>

<summary>Some vehicles show as <kbd>undefined</kbd></summary>

If the vehicle is not available on your server, it might not have been started properly. Also, if it's a **vanilla GTA vehicle**, your **game build** might be outdated.

</details>

<details>

<summary>I can't purchase a vehicle</summary>

1. Configure notification system to see message why you can't buy in **config.client.lua** - `CL.Notification`.
2. Add enough money to yourself.
3. Make sure you have the required license to purchase the vehicle - if you do not want a license to be required, go to section [Adjusting Required Licenses](/assets/vms_vehicleshopv2/guides/adjusting-required-licenses.md).

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vames-store.com/assets/vms_vehicleshopv2/common-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
